gtk-0.12.4: Binding to the Gtk+ graphical user interface library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Safe Haskell | None

Graphics.UI.Gtk.Display.Spinner

Contents

- Detail
- Types
- Constructors
- Methods
- Attributes

Description

Report messages of minor importance to the user

Synopsis

- data Spinner
- class DrawingAreaClass o => SpinnerClass o
- spinnerNew :: IO Spinner
- spinnerStart :: SpinnerClass spinner => spinner -> IO ()
- spinnerStop :: SpinnerClass spinner => spinner -> IO ()
- spinnerActive :: SpinnerClass spinner => Attr spinner Bool

# Detail

A `Spinner` widget displays an icon-size spinning animation. It is often used as an alternative to a `ProgressBar` for displaying indefinite activity, instead of actual progress.

To start the animation, use `spinnerStart`.

# Types

data Spinner

Instances

Eq Spinner |
Ord Spinner |
GObjectClass Spinner |
SpinnerClass Spinner |
DrawingAreaClass Spinner |
WidgetClass Spinner |
ObjectClass Spinner |

class DrawingAreaClass o => SpinnerClass o

Instances

SpinnerClass Spinner |

# Constructors

spinnerNew :: IO Spinner

Returns a new spinner widget. Not yet started.

# Methods

spinnerStart :: SpinnerClass spinner => spinner -> IO ()

Starts the animation of the spinner.

spinnerStop :: SpinnerClass spinner => spinner -> IO ()

Stops the animation of the spinner.

# Attributes

spinnerActive :: SpinnerClass spinner => Attr spinner Bool

Whether the spinner is active.

Default value: `False`